package com.bankaudit.report.v2.dao;

import java.util.List;

import com.bankaudit.dao.Dao;
import com.bankaudit.report.v2.dto.ChapterDto;
import com.bankaudit.report.v2.dto.CheckListDto;
import com.bankaudit.report.v2.dto.ProcessDto;
import com.bankaudit.report.v2.dto.ProductDto;
import com.bankaudit.report.v2.dto.SectionDto;

public interface AuditBookReportDaoV2 extends Dao {
 	 
	
	List<ChapterDto> getChapter(Integer legalEntityCode, String auditId);	
	List<SectionDto> getSection(Integer legalEntityCode, String auditGroupCode);
	List<ProductDto> getProduct(Integer legalEntityCode, String auditGroupCode, String auditSubGroupCode);
	List<ProcessDto> getProcess(Integer legalEntityCode, String auditGroupCode, String auditSubGroupCode, String activityCode);
	List<CheckListDto> getChecklist(Integer legalEntityCode, String auditGroupCode, String auditSubGroupCode, 
			String activityCode, String processCode, String isComplied);
	
	
	List<String> getDerivedStatementForChapter(Integer legalEntityCode, String auditGroupCode);
	List<String> getDerivedStatementForSection(Integer legalEntityCode, String auditGroupCode, String auditSubGroupCode);
	List<String> getDerivedStatementForProduct(Integer legalEntityCode, String auditGroupCode, String auditSubGroupCode, String activityCode);
	List<String> getDerivedStatementForProcess(Integer legalEntityCode, String auditGroupCode, String auditSubGroupCode, String activityCode, String processCode);
	List<String> getDerivedStatementForchecklist(Integer legalEntityCode, String auditGroupCode, String auditSubGroupCode, String activityCode, String processCode, String findingCode);
	  
	List<String> getStaticContentForChapter(Integer legalEntityCode, String auditGroupCode, String reportLanguage);
	List<String> getStaticContentForSection(Integer legalEntityCode, String auditGroupCode, String auditSubGroupCode, String reportLanguage);
	List<String> getStaticContentForProduct(Integer legalEntityCode, String auditGroupCode, String auditSubGroupCode, String activityCode, String reportLanguage);
	
	/*List<MaintAuditSubgroup> getSection(String auditGroupCode);	
	MaintAuditGroup getChapterByAuditGroupCode(String auditGroupCode);
	MaintAuditSubgroup getSectionByAuditSubGroupCode(String auditSubGroupCode);
	MaintAuditActivity getProductByAuditActivityId(String activityId);
	MaintAuditProcess getProcessByAuditProcessId(String processId);
	MaintAuditFinding getChecklistByAuditFindingId(String findingId);*/
	
	
	
}
